<!DOCTYPE html>
<html>

<body>
    <button>The time is?</button>
    <p id="demo"></p>


</body>
<script>
    var button = document.querySelector("button");
    button.addEventListener('click',showTime);
    function showTime(){
        document.getElementById('demo').innerHTML=Date();
    }


</script>

</html>